ECHO OFF
SETLOCAL
REM ========================================
REM ===
REM === MIRRA Configuration Collection Tool
REM ===  for Windows 2003
REM ===
SET TOOLVER=WIN2003050627
REM ===
REM ========================================
echo.
echo Please wait while the tool collects diagnostic information...
echo This can take several minutes...
echo.

cd Tools
readlog -i -N -n -a system > MIRRA.system.events.log  2> NUL
readlog -i -N -n -a application > MIRRA.application.events.log  2> NUL

SET TOOLVER > MIRRA.netinfo.log
ver >> MIRRA.netinfo.log
systeminfo >> MIRRA.netinfo.log
ipconfig /all >> MIRRA.netinfo.log
netstat -ao >> MIRRA.netinfo.log
echo. >> MIRRA.netinfo.log
echo "FIREWALL CONFIGURATION" >> MIRRA.netinfo.log

netsh firewall show config >> MIRRA.netinfo.log

echo "PROCESSES " > MIRRA.sysinfo.tsv
process >> MIRRA.sysinfo.tsv

wmic /locale:ms_409 process get name,processid /format:csv.xsl > MIRRA.sysinfo.log 2>&1
echo "WMI:PROCESSES " >> MIRRA.sysinfo.tsv
type MIRRA.sysinfo.log >> MIRRA.sysinfo.tsv


WMIC SERVICE where state='running' GET caption, name, pathname /format:csv.xsl > MIRRA.sysinfo.log 2>&1
echo. >> MIRRA.sysinfo.tsv
echo. >> MIRRA.sysinfo.tsv
echo ====================================================================== >> MIRRA.sysinfo.tsv
echo "WMI:RUNNING SERVICES" >> MIRRA.sysinfo.tsv
type MIRRA.sysinfo.log >> MIRRA.sysinfo.tsv

wmic /locale:ms_409 NETPROTOCOL list brief /format:csv.xsl > MIRRA.sysinfo.log 2>&1
echo. >> MIRRA.sysinfo.tsv
echo. >> MIRRA.sysinfo.tsv
echo ====================================================================== >> MIRRA.sysinfo.tsv
echo "WMI:NETWORK PROTOCOLS" >> MIRRA.sysinfo.tsv
type MIRRA.sysinfo.log >> MIRRA.sysinfo.tsv

wmic /locale:ms_409 startup list brief /format:csv.xsl > MIRRA.sysinfo.log 2>&1
echo. >> MIRRA.sysinfo.tsv
echo. >> MIRRA.sysinfo.tsv
echo ====================================================================== >> MIRRA.sysinfo.tsv
echo "WMI:STARTUP PROGRAMS" >> MIRRA.sysinfo.tsv
type MIRRA.sysinfo.log >> MIRRA.sysinfo.tsv


MirraFetcher.ex_

echo Done!

del /q MIRRA.netinfo.log
del /q MIRRA.sysinfo.log
del /q MIRRA.sysinfo.tsv
del /q MIRRA.system.events.log
del /q MIRRA.application.events.log

ENDLOCAL